| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Modules | Functions
Miscellaneous
Collaboration diagram for Miscellaneous:

## Modules
| Objects_generic
| Values Handling
| Basic colour calculations
| ICC helpers

## Functions
const char * | oyLanguage (void)
| get language code More...
const char * | oyCountry (void)
| get country code More...
const char * | oyLang (void)
| get LANG code/variable More...
void | oyI18Nreset (void)
| reset i18n language and country variables More...
int | oyVersion (int type)
| give the compiled in library version More...
char * | oyVersionString (int type, oyAlloc_f allocateFunc)
| give the configure options for Oyranos More...
icUInt16Number | oyValueUInt16 (icUInt16Number val)
| MSB<->LSB. More...
void | oyI18NSet (int active, int reserved)
| switch internationalisation of strings on or off More...

## Detailed Description

Miscellaneous stuff.

## Function Documentation

const char* oyCountry | ( | void |  | ) |

get country code

Since
  Oyranos: version 0.1.8

Date
  26 november 2007 (API 0.1.8)

Referenced by oyProfileTag_s::oyProfileTag_GetText().

void oyI18Nreset | ( | void |  | ) |

reset i18n language and country variables

Version
  Oyranos: 0.1.10

Since
  2009/01/05 (Oyranos: 0.1.10)

Date
  2009/01/05

void oyI18NSet | ( | int | active,
|  | int | reserved
| ) |  |

switch internationalisation of strings on or off

Parameters

  active | bool
  reserved | for future use

const char* oyLang | ( | void |  | ) |

get LANG code/variable

Since
  Oyranos: version 0.1.8

Date
  26 november 2007 (API 0.1.8)

const char* oyLanguage | ( | void |  | ) |

get language code

Since
  Oyranos: version 0.1.8

Date
  26 november 2007 (API 0.1.8)

Referenced by oyProfileTag_s::oyProfileTag_GetText().

icUInt16Number oyValueUInt16 | ( | icUInt16Number | val | ) |

MSB<->LSB.

Referenced by oyProfile_s::oyProfile_GetSignature(), and oyProfile_s::oyProfile_SetSignature().

int oyVersion | ( | int | type | ) |

give the compiled in library version

Parameters

  [in] | type | 0 - Oyranos API 1 - start month 2 - start year 3 - development last month 4 - development last year

Returns
  OYRANOS_VERSION at library compile time

Referenced by oyVersionString().

char* oyVersionString | ( | int | type,
|  | oyAlloc_f | allocateFunc
| ) |  |

give the configure options for Oyranos

Parameters

  [in] | type | 1 OYRANOS_VERSION_NAME; 2 git master hash, deprecated 3 OYRANOS_CONFIG_DATE, deprecated 4 development period
  | allocateFunc | user allocator, e.g. malloc

Returns
  Oyranos configure output

Since
  Oyranos: version 0.1.8

Date
  18 december 2007 (API 0.1.8)

References oyVersion().

Referenced by oyArray2d_s::oyImage_WritePPM().